Follow

Xamarin - Issues with Virtual Studio 2019

If you are getting the following warning

The primary reference "Scandit.BarcodePicker.Unified" could not be resolved because it was built against the ".NETPortable,Version=v5.0" framework. This is a higher version than the currently targeted framework ".NETPortable,Version=v4.5,Profile=Profile78".

It means that .NET Portable Library targeting pack is missing (it is not installed by default with _Mobile development with .NET_ workload in Visual Studio 2019)

Windows

This component can be downloaded in two ways:

1) From Microsoft download page: [https://www.microsoft.com/en-us/download/details.aspx?id=40727]

2) From Visual Studio Installer -> Individual components -> .NET Portable Library targeting pack. 

 Mac

The sample needs to be upgraded following these steps: https://xamarinhelp.com/upgrade-pcl-net-standard-class-library/

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request